Bug 1026291 - quota: directory limit cross, while creating data in subdirs
quota: directory limit cross, while creating data in subdirs
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
mainline
x86_64 Linux
high Severity urgent
: ---
: ---
Assigned To: Vijaikumar Mallikarjuna
:
Depends On: 1021466
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 06:10 EST by Raghavendra G
Modified: 2016-05-11 18:49 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
After setting Quota limit on a directory, creating sub directories and populating them with files and renaming the files subsequently while the I/O operation is in progress causes a quota limit violation.
Story Points: ---
Clone Of: 1021466
Environment:
Last Closed: 2016-04-06 21:39:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-11-04 06:14:01 EST
REVIEW: http://review.gluster.org/6220 (features/quota: account in-progress writes too.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 2 Pavithra 2013-11-15 05:04:15 EST
Based on Anjana's discussions with Vivek, the known issue 1026291 is an upstream bug and its clone in downstream 1021466 (is documented as a known issue in the Big Bend Update 1 Release Notes).
Comment 3 Vijaikumar Mallikarjuna 2016-04-06 21:39:23 EDT
There are many issues related to quota fixed in 3.7, please re-open bug if this happens again in the latest 3.7 build

Note You need to log in before you can comment on or make changes to this bug.